## Définition des contraintes de relations spatiales

![](../../Ressources/Images/menu_contextuel_relations_spatiales.PNG)

La fonction **Ajouter une contrainte de relation spatiale** permet de créer une nouvelle contrainte de relation spatiale. Lors du clic sur cet élément, une nouvelle contrainte est ajoutée à la liste et l’interface de création de la contrainte est affichée.

![](../../Ressources/Images/contrainte_rel_spatial.png)

L’utilisateur nomme la relation puis sélectionne un premier type d’entité, puis un deuxième dans le champ **Type d’entité lié**. Le groupement **Opérateurs** permet de sélectionner un ou plusieurs opérateurs pour définir les relations liants les entités sélectionnées.

[En savoir plus et accéder à la matrice des relations spatiales.](../../04-ContraintesRessources/03.06.MatriceRelationsSpatiales.html)

Une relation de cardinalité existante peut également être sélectionnée pour spécifier une cohérence attributaire et géométrique à la relation.

<span style="color: #943a99;">==> Erreur retournée : E0011 (Violation de la contrainte de relation spatiale).</span>

### Utilisation de la liste

En cliquant dans l’arbre, sur le nœud Relations spatiales d’un schéma ![](../../Ressources/Images/noeud_rel_spatial.png), la liste des contraintes de relations spatiales définies dans un schéma s’affiche dans la fenêtre de droite. La liste permet de visualiser toutes les relations spatiales définies.

![](../../Ressources/Images/liste_rel_spatiale.png)
